List Evaluation Groups
curl --request GET \
--url https://api.egp.scale.com/v5/evaluation-groups \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/evaluation-groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/evaluation-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/evaluation-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/evaluation-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v5/evaluation-groups")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/evaluation-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"tags": [
"<string>"
],
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"object": "evaluation_group",
"description": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z",
"members": [
{
"id": "<string>",
"evaluation_group_id": "<string>",
"evaluation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_group.member",
"evaluation_name": "<string>",
"evaluation_tags": [
"<string>"
],
"evaluation_created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"row_identifiers": [
{
"evaluation_id": "<string>",
"column_name": "<string>",
"object": "evaluation_group.row_identifier"
}
]
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluation Groups
List Evaluation Groups
List the calling account’s evaluation groups with optional filters.
Results are paginated and scoped to the authenticated account. The optional filters combine with AND semantics: name does a case-insensitive partial (substring) match on the group name, tags returns only groups whose tag list contains all of the supplied tags, and evaluation_id returns only groups that have the given evaluation as an active member. By default archived (soft-deleted) groups are excluded; set include_deleted to include them. The views parameter optionally expands each group with its members and/or row_identifiers, and returned members are enriched with each evaluation’s name, tags, and creation time.
GET
/
v5
/
evaluation-groups
List Evaluation Groups
curl --request GET \
--url https://api.egp.scale.com/v5/evaluation-groups \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/evaluation-groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/evaluation-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/evaluation-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/evaluation-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v5/evaluation-groups")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/evaluation-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"tags": [
"<string>"
],
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"object": "evaluation_group",
"description": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z",
"members": [
{
"id": "<string>",
"evaluation_group_id": "<string>",
"evaluation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_group.member",
"evaluation_name": "<string>",
"evaluation_tags": [
"<string>"
],
"evaluation_created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"row_identifiers": [
{
"evaluation_id": "<string>",
"column_name": "<string>",
"object": "evaluation_group.row_identifier"
}
]
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response

